package com.chenyang.nse.bussiness.engine.infa.basic.xmlbean;

import java.util.ArrayList;
import java.util.List;
import javax.xml.bind.annotation.XmlAccessType;
import javax.xml.bind.annotation.XmlAccessorType;
import javax.xml.bind.annotation.XmlAttribute;
import javax.xml.bind.annotation.XmlElement;
import javax.xml.bind.annotation.XmlRootElement;
import javax.xml.bind.annotation.XmlType;
import javax.xml.bind.annotation.adapters.NormalizedStringAdapter;
import javax.xml.bind.annotation.adapters.XmlJavaTypeAdapter;

@XmlAccessorType(XmlAccessType.FIELD)
@XmlType(
   name = "",
   propOrder = {"repositoryversion", "creationdate", "repository"}
)
@XmlRootElement(
   name = "POWERMART"
)
public class POWERMART {
   @XmlAttribute(
      name = "CREATION_DATE"
   )
   @XmlJavaTypeAdapter(NormalizedStringAdapter.class)
   protected String creationdate;
   @XmlAttribute(
      name = "REPOSITORY_VERSION"
   )
   @XmlJavaTypeAdapter(NormalizedStringAdapter.class)
   protected String repositoryversion;
   @XmlElement(
      name = "REPOSITORY"
   )
   protected List<REPOSITORY> repository;

   public String getCREATIONDATE() {
      return this.creationdate;
   }

   public void setCREATIONDATE(String value) {
      this.creationdate = value;
   }

   public String getREPOSITORYVERSION() {
      return this.repositoryversion;
   }

   public void setREPOSITORYVERSION(String value) {
      this.repositoryversion = value;
   }

   public List<REPOSITORY> getREPOSITORY() {
      if (this.repository == null) {
         this.repository = new ArrayList();
      }

      return this.repository;
   }
}
